Pular para o conteúdo principal
GET
/
url-mappings
/
v3
/
url-mappings
/
{id}
cURL
curl --request GET \
  --url https://api.hubapi.com/url-mappings/v3/url-mappings/{id} \
  --header 'Authorization: Bearer <token>'
{
  "cdnPurgeEmbargoTime": 123,
  "contentGroupId": 123,
  "cosObjectType": "ACCESS_GROUP_MEMBERSHIP",
  "created": 123,
  "createdById": 123,
  "deletedAt": 123,
  "destination": "<string>",
  "id": 123,
  "internallyCreated": true,
  "isActive": true,
  "isMatchFullUrl": true,
  "isMatchQueryString": true,
  "isOnlyAfterNotFound": true,
  "isPattern": true,
  "isProtocolAgnostic": true,
  "isRegex": true,
  "isTrailingSlashOptional": true,
  "label": "<string>",
  "lastUsedAt": 123,
  "name": "<string>",
  "note": "<string>",
  "portalId": 123,
  "precedence": 123,
  "redirectStyle": 123,
  "routePrefix": "<string>",
  "updated": 123,
  "updatedById": 123
}

Supported products

Autorizações

Authorization
string
header
obrigatório

The access token received from the authorization server in the OAuth 2.0 flow.

Parâmetros de caminho

id
integer<int64>
obrigatório

Resposta

successful operation

cdnPurgeEmbargoTime
integer<int64>
obrigatório
contentGroupId
integer<int64>
obrigatório
cosObjectType
enum<string>
obrigatório
Opções disponíveis:
ACCESS_GROUP_MEMBERSHIP,
APP_PAGE,
BLOCK,
BLOG,
BLOG_AUTHOR,
BRAND_BUSINESS_UNIT,
BRAND_SETTINGS,
CONTACT_MEMBERSHIP,
CONTENT,
CONTENT_EMBED,
CONTENT_FOLDER,
CONTENT_GROUP,
CRM_OBJECT,
CRM_OBJECT_TYPE,
CUSTOM_WIDGET,
CUSTOMER_PORTAL,
DATA_QUERY,
DESIGN_FOLDER,
DOMAIN,
DOMAIN_SETTINGS,
EMAIL_ADDRESS,
EXTENSION_RESOURCE,
FILE,
FOLDER,
FOLLOW_ME,
FORM,
GLOBAL_CONTENT,
HUBDB_TABLE,
HUBDB_TABLE_ROW,
IMAGE,
JS_PROJECT_COMPONENT,
KNOWLEDGE_BASE,
KNOWLEDGE_CATEGORY,
KNOWLEDGE_CATEGORY_TRANSLATION,
KNOWLEDGE_HOMEPAGE_CATEGORY,
LAYOUT,
LAYOUT_SECTION,
LIST_MEMBERSHIP,
MARKETPLACE_LISTING,
PASSWORD_PROTECTED,
PAYMENT,
PERSONALIZATION_TOKEN,
PLACEMENT,
PROJECT,
QUOTE_TEMPLATE,
RAW_ASSET,
REDIRECT_URL,
SECTION,
SERVERLESS_FUNCTION,
SITE_MAP,
SITE_MENU,
SITE_SETTINGS,
SUBSCRIPTIONS_SETTINGS,
TAG,
THEME,
THEME_SETTINGS,
UNRESTRICTED_ACCESS,
URL_MAPPING,
VIDEO_PLAYER,
WIDGET,
WORKFLOW
created
integer<int64>
obrigatório
createdById
integer<int32>
obrigatório
deletedAt
integer<int64>
obrigatório
destination
string
obrigatório
id
integer<int64>
obrigatório
internallyCreated
boolean
obrigatório
isActive
boolean
obrigatório
isMatchFullUrl
boolean
obrigatório
isMatchQueryString
boolean
obrigatório
isOnlyAfterNotFound
boolean
obrigatório
isPattern
boolean
obrigatório
isProtocolAgnostic
boolean
obrigatório
isRegex
boolean
obrigatório
isTrailingSlashOptional
boolean
obrigatório
label
string
obrigatório
lastUsedAt
integer<int64>
obrigatório
name
string
obrigatório
note
string
obrigatório
portalId
integer<int32>
obrigatório
precedence
integer<int32>
obrigatório
redirectStyle
integer<int32>
obrigatório
routePrefix
string
obrigatório
updated
integer<int64>
obrigatório
updatedById
integer<int32>
obrigatório
Last modified on April 13, 2026